### Method

# Gck Attributes find_boolean

#### Declaration [src]

    gboolean
    gck_attributes_find_boolean (
      GckAttributes* attrs,
      gulong attr_type,
      gboolean* value
    )

#### Description [src]

Find an attribute with the specified type in the array.

The attribute (if found) must be of the right size to store a boolean value (ie: CK_BBOOL). If the attribute is marked invalid then it will be treated as not found.

#### Parameters

`attr_type`

  Type: `gulong`

  The type of attribute to find.

`value`

  Type: `gboolean*`

  The resulting gboolean value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Whether a value was found or not.